package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.OpMode;

public abstract class OpModeWithMovement extends OpModeWithAPI {
    protected MovementAPI movement;

    public void construct() {
        super.construct();
        movement = new MovementAPI(api, motors);
    }

    public void construct(boolean useLogFile) {
        super.construct(useLogFile);
        movement = new MovementAPI(api, motors);
    }

    public void construct(API.Motor fl, API.Motor fr, API.Motor bl, API.Motor br) {
        super.construct();
        movement = new MovementAPI(api, fl, fr, bl, br);
    }

    public void construct(API.Motor fl, API.Motor fr, API.Motor bl, API.Motor br, boolean useLogFile) {
        super.construct(useLogFile);
        movement = new MovementAPI(api, fl, fr, bl, br);
    }
}